#-*- mode: python; mode: fold -*-
# $Id: __init__.py 265 2006-06-23 08:58:00Z lregebro $
from Products.CMFCore.utils import ContentInit, ToolInit
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils as cmfutils
from Products.CMFCore.CMFCorePermissions import AddPortalContent

from Products.GenericSetup import profile_registry
from Products.GenericSetup import EXTENSION

from Products.CPSCore.interfaces import ICPSSite

# Only for CPS 3.4.1. In 3.4.2 and later this should be fixed.
import PatchCPSDefaultImportExport

import Products.WAeUP.WAeUPPermissions
from Products.WAeUP.University import University, addUniversity
from Products.WAeUP.Accommodation import AccoFolder, addAccoFolder
from Products.WAeUP.Accommodation import Accommodation, addAccommodation
#from Products.WAeUP.Academics import SCFolder, addSCFolder
from Products.WAeUP.Academics import Certificate, addCertificate
from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
from Products.WAeUP.Academics import Faculty, addFaculty
from Products.WAeUP.Academics import Department, addDepartment
from Products.WAeUP.Academics import Course, addCourse
from Products.WAeUP.Academics import CourseTicket, addCourseTicket
from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
from Products.WAeUP.Students import Student, addStudent
from Products.WAeUP.Students import StudentPersonal, addStudentPersonal
from Products.WAeUP.Students import StudentEligibility, addStudentEligibility
from Products.WAeUP.Students import StudentDocuments, addStudentDocuments
from Products.WAeUP.Students import Jamb, addJamb
from Products.WAeUP.Students import StudyLevel, addStudyLevel
from Products.WAeUP.Students import Semester, addSemester


import Widgets

contentClasses = (
    University,
    #SCFolder,
    Certificate,
    CertificateCourse,
    Faculty,
    Department,
    Course,
    CourseTicket,
    CertificateCourse,
    AccoFolder,
    Accommodation,
    Student,
    StudentPersonal,
    StudentEligibility,
    StudentDocuments,
    Jamb,
    StudyLevel,
    Semester,
    )

contentConstructors = (
    addUniversity,
    #addSCFolder,
    addCertificate,
    addCertificateCourse,
    addFaculty,
    addDepartment,
    addCourse,
    addCourseTicket,
    addCertificateCourse,
    addAccoFolder,
    addAccommodation,
    addStudent,
    addStudentPersonal,
    addStudentEligibility,
    addStudentDocuments,
    addJamb,
    addStudyLevel,
    addSemester,
    )

fti = (
    {}, # University
    #{}, #SCFolder
    {}, #Certificate
    {}, #CertificateCourse
    {}, # Faculty
    {}, # Department
    {}, # Course
    {}, # CourseTicket
    {}, # CertificateCourse
    {}, # AccoFolder
    {}, # Accommodation
    {}, # Student,
    {}, # StudentPersonal,
    {}, # StudentEligibility,
    {}, # StudentDocuments,
    {}, # Jamb,
    {}, # StudyLevel,
    {}, # Semester,
    )

registerDirectory('skins', globals())

def initialize(registrar):
    ContentInit('WAeUP Types',
                content_types = contentClasses,
                permission = AddPortalContent,
                extra_constructors = contentConstructors,
                fti = fti,
                ).initialize(registrar)

    # Extension profile registration
    profile_registry.registerProfile(
        'default',
        'WAeUP',
        "The WestAfrican e-University Project",
        'profiles/default',
        'WAeUP',
        EXTENSION,
        for_=ICPSSite)

